package com.dev.swms.client.ui.validate;

import com.dev.energy.client.validate.AbstractValidator;

public class StringCombinParser extends AbstractValidator{
	
	public String validate(com.dev.energy.client.ui.InputUI inputUI) {
		if (inputUI.isEmpty()) {
			return null;
		}
		String value = inputUI.getValue().toString();
		boolean b = withRegex(value);
		if (b) {
			return null;
		}
		return this.getHintMessage(inputUI);
	}
	
	public boolean withRegex(String str) {
		return true;
	}

}
